Exim segfault on Debian 5 (Lenny)

HostingBrothers

New member
Joined
Nov 10, 2010
Messages
4
I recently installed a Debian 5 server with the latest version of DirectAdmin. But I get a lot of errors of Exim in my logs:
Code:
Nov 16 11:42:41 hostname kernel: [500991.677971] exim[24721]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.681129] exim[24722]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.684052] exim[24723]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.687041] exim[24724]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.690040] exim[24725]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.693032] exim[24726]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.702404] exim[24729]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.708518] exim[24731]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.711283] exim[24732]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
Nov 16 11:42:41 hostname kernel: [500991.714429] exim[24733]: segfault at 1820160a ip 1820160a sp bf8e29ac error 4
I wanted to recompile Exim with custombuild, but didn't see an option for that. And it seems Exim is installed from a normal Debian package. What can I do to fix this?
 

HostingBrothers

New member
Joined
Nov 10, 2010
Messages
4
I upgraded to custombuild 1.2 and compiled Exim (see this link, wget doesn't work anymore, but can be skipped, because Custombuild downloads Exim by itself). Now the problem is away...
But I have Exim installed as a package, and now with custombuild. Doesn't that give any problems in the future with updates? I cannot simply remove exim with apt-get, because package depend on it. So what should I do?
 
Top